using SportsDivision.Domain.Entities;

namespace SportsDivision.Domain.Interfaces;

public interface IHighJumpHeightRepository : IRepository<HighJumpHeight>
{
    Task<IEnumerable<HighJumpHeight>> GetByTournamentEventLevelAsync(int tournamentEventLevelId);
    Task<HighJumpHeight?> GetWithAttemptsAsync(int heightId);
}
